commit 6ca4515aec
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Apr 2 18:03:30 2018 -0700

    If we're reading from a string, don't fclose yyin.
    
    yyin is initialized to stdin.  When we're reading from files, we set it
    so that it points to the FILE from which we're reading, but when we're
    reading from a string, we don't set it, leaving it to point to stdin.
    
    This means that, just as the "read from the input" routine has to be set
    differently when reading from a file or a string, the "close the current
    input" routine has to be set differently as well.
    
    Bug: 14577
    Change-Id: Ie05880775612867e9037ace2de0cd0a0dd2fabb5
    Reviewed-on: https://code.wireshark.org/review/26719
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9d87f607ee2ecefaff71f2ab3f2dc3d2dc185399)
    Reviewed-on: https://code.wireshark.org/review/26721

commit 956dd8c1a9
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 1 15:50:50 2018 +0000

    [Automatic update for 2018-04-01]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: Ie4b79102756e8950b00ac2c6a4853a97f6f680b6
    Reviewed-on: https://code.wireshark.org/review/26700
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 744f56721c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Mar 28 13:21:20 2018 +0200

    Kerberos: do not store empty keys
    
    Bug: 14576
    Change-Id: Ib52133a1b43e237f76f17a38d308407c0431d33e
    Reviewed-on: https://code.wireshark.org/review/26672
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 4adb8e9f6af7b5e4568f50a29ae9814b5e190088)
    Reviewed-on: https://code.wireshark.org/review/26674

commit 889d67071d
Author: Paul Offord <paul.offord@advance7.com>
Date:   Mon Nov 20 09:49:38 2017 +0000

    TRANSUM: Fix DNS-related bug and improve performance
    
    These changes significantly improve the speed and accuracy of TRANSUM.
    
    I have removed the concept of rrpd status as it wasn't being used in any
    significant way and created unnecessary code.
    
    The find_latest_rrpd(...) function was becoming very complex which made it
    difficult to optimise performance for certain protocols.  To overcome
    this, I have introduced an equivalent function for each protocol e.g.
    find_latest_rrpd_smb2(...). each of these new functions has a loop that
    steps through the rrpd_list.  I could have placed this loop one level up
    in the nested call and so had one loop in the code that calls the new
    function.  However, I have found that this area is the prime cause of
    delays in TRANSUM execution and so I want to avoid calling these new
    functions with each step through the rrpd_list.
    
    Finally, I have added code to improve the handling of retransmissions.
    
    Bug: 14210
    Change-Id: I038097f22a45ee74173aad1ae5732347f769b9bd
    Reviewed-on: https://code.wireshark.org/review/24506
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 36372a2465c94784240ba8c38b53b4eedb234868)
    Reviewed-on: https://code.wireshark.org/review/26628
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d5e5d76746
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 25 16:13:44 2018 +0000

    [Automatic update for 2018-03-25]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: Ia7a218fe5ceed77f4d5b766b7b90cdce20a6f58e
    Reviewed-on: https://code.wireshark.org/review/26636
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f13ff5dbd8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 24 19:15:14 2018 -0700

    In some dialogs, have *no* auto-default buttons on macOS.
    
    In macOS dialogs, there's a default button, which is the button that
    Enter/Return activates, and that Enter/Return *always* activates,
    *regardless* of what button has the input focus.  To activate the button
    that has the input focus, you use the space bar.
    
    To implement that, we need to disable auto-default on all buttons,
    including the Cancel button.
    
    Put in a comment explaining all this.
    
    We may want to do this in all alert boxes, and possibly all dialogs with
    buttons.
    
    Change-Id: I214dd2870a9720ea705d8db39adc5b6af2003fb1
    Reviewed-on: https://code.wireshark.org/review/26629
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b577bff1ae1187471e0df2e4477b75ff548f1510)
    Reviewed-on: https://code.wireshark.org/review/26630

commit 9d328c858c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 23 20:28:18 2018 -0700

    Hand off to the PPC-in-HDLC-like-framing dissector.
    
    There might be HDLC-like framing inside SSTP, even if it eventually gets
    negotiated away.
    
    Bug: 14559
    Change-Id: Ibc254f221f26c0da905ceff4edff7859a3fec635
    Reviewed-on: https://code.wireshark.org/review/26619
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0f34a866bb29b78a2dbd40583e1e49cec58dcc0e)
    Reviewed-on: https://code.wireshark.org/review/26620

commit cacf8687a0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 23 19:05:45 2018 -0700

    Don't rely on "xxx *yyy[N] = {};" compiling.
    
    At least as I read C90 "6.5.7 Initialization" and C99 "6.7.8
    Initialization", there must be at least one "initializer" in an
    "initializer-list", so nothing requires that the compiler accept, for
    example
    
            static const ws_mem_usage_t *memory_components[MAX_COMPONENTS] = {
            };
    
    Bug: 14556
    Change-Id: Ief1dbfee504ad5ef1d984390dc2da18deba7fb90
    Reviewed-on: https://code.wireshark.org/review/26616
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bff1f7f70e354d5e5b5f47bed87b996c538a3633)
    Reviewed-on: https://code.wireshark.org/review/26617

commit 8018591e5f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 23 17:40:29 2018 -0700

    Use $(INSTALL_DATA) rather than "install -m 644".
    
    That way, we use the installation command that the configure script
    deemed appropriate, rather than relying on "install" being a BSD-style
    install program.
    
    Bug: 14555
    Change-Id: I482fb5fcbf5c9bbb4f4c6faa036114ac35e1de40
    Reviewed-on: https://code.wireshark.org/review/26614
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ef94bab24f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 23 14:21:06 2018 -0700

    Include alloca.h if we have it.
    
    Bug: 14552
    Change-Id: I799691f7f33ca56748ed4e51d7d548f37769837b
    Reviewed-on: https://code.wireshark.org/review/26611
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d12a41b17a006ccc1b0f98e9df3fc442e4ee7643)
    Reviewed-on: https://code.wireshark.org/review/26612

commit 05f73a2d3f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 23 11:52:37 2018 -0700

    Update a comment.
    
    Change-Id: Id5fc4ca97212c5d4c91ff89806b9e6b826114b17
    Reviewed-on: https://code.wireshark.org/review/26608
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a0f0b3789c82729ea6a0c4930500fb71e109ae67)
    Reviewed-on: https://code.wireshark.org/review/26609

commit 1cdfa36ab7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Mar 23 10:42:55 2018 -0700

    Add -Wp,-H200000 with HP's C compiler.
    
    Bug: 14554
    Change-Id: Ieef015daf852049744a5dd9d3d0dfd566f3ce8fc
    Reviewed-on: https://code.wireshark.org/review/26603
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4f37a3e0153e5c5e21dd59f37eb95d0c767207f1)
    Reviewed-on: https://code.wireshark.org/review/26604

commit 2d4695de14
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Mar 9 18:50:00 2018 +0100

    tcp: preserve data source if a PDU uses it
    
    If the previous TCP segments already form one or more PDUs, then the
    data source of these segments must not be removed. Otherwise
    get_field_data (epan/print.c) will fail to find the data source which
    correspond to the fields within these PDUs.
    
    Also tested with the capture referenced in v1.11.3-rc1-1525-g21e0a63b29
    (bug 9169), the "tshark -Vr mem-leak.pcap" output remains unchanged.
    
    Bug: 14472
    Change-Id: Ia448a6b84dd2eb84b00e56d3fcde04f7bec05b9d
    Reviewed-on: https://code.wireshark.org/review/26397
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit af8ac43a1fc7a67d54bb2734244ea12194842fa9)
    Reviewed-on: https://code.wireshark.org/review/26586

commit f6e1b646c4
Author: Ivan Secerin <ivan.severin.m@gmail.com>
Date:   Tue Mar 20 17:40:40 2018 +0200

    packet-wsp: fixed incorrect invalid header handling
    
    In function 'add_header' coгple of if-statements didn't corespond
    to comments above.
    
    Change-Id: Idd846cebf7e17d0e2f49c7c7d3de466b899c73c6
    Reviewed-on: https://code.wireshark.org/review/26573
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 10c508ebf828e8062d3cbab899ea5fb1031ca59d)
    Reviewed-on: https://code.wireshark.org/review/26583

commit 82e004d672
Author: Yuri Chislov <yuri.chislov@gmail.com>
Date:   Mon Mar 19 12:04:06 2018 +0000

    WCCP : fix mask assignment
    
    Bug: 14538
    Change-Id: I87afe01064e8940140d6fa8de3df778aad4e4dd7
    Reviewed-on: https://code.wireshark.org/review/26550
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 9c30b80f467d3be36d1bd22f6f8dc3950501e434)
    Reviewed-on: https://code.wireshark.org/review/26571

commit 485234ad7d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Mar 19 23:46:10 2018 -0700

    Don't register the link-layer 802.11 dissector in the gre.proto table.
    
    That dissector expects to be handed an 802.11 pseudoheader; the GRE
    dissector passes no data to subdissectors registered in the gre.proto
    table, which the 802.11 dissector will treat as an "FCS presence
    unknown" indication, even though it's known to be absent.
    
    Use the no-FCS 802.11 frame dissector instead.
    
    Bug: 14544
    Change-Id: I6515901dc3674eb36ec768fa4f9a7a4040a78365
    Reviewed-on: https://code.wireshark.org/review/26560
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6401440932006465004650d3ac3722670174d0ac)
    Reviewed-on: https://code.wireshark.org/review/26561

commit 913707b526
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Mar 18 14:00:20 2018 +0100

    6lowpan: Add option to toggle IID U/L bit
    
    RFC 7668 section 3.2.2 states that IID formed from the 48-bit Bluetooth
    device addresses does not toggle the Universal/Local bit, but Linux
    kernel BT IPSP code before version 4.12 does toggle this bit.
    
    Add an option to turn this on when needed.
    
    Change-Id: I77f84a5d56e77bb2c61770237fe53367498cc194
    Reviewed-on: https://code.wireshark.org/review/26533
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 845bd4f728a633ecb05e5fc7530321dc234e5363)
    Reviewed-on: https://code.wireshark.org/review/26546

commit a08c857c18
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Mar 16 21:04:34 2018 +0100

    Qt: allow keyboard navigation in Unsaved packets dialog
    
    Currently the "Continue without Saving" button is visually highlighted
    in the "Unsaved packets..." dialog, but pressing Enter triggers "Save"
    instead. Even after changing button focus with arrow or tab keys,
    pressing Enter will not confirm the action (but Spacebar does).
    Restore the expected behavior for Linux and Windows, but preserve the
    fix for macOS since (for which this was originally added).
    
    Bug: 14531
    Change-Id: Ic20fc5809b55949f6fd960bcb32618a4fa7fd1e9
    Fixes: v2.3.0rc0-2672-gb0335359e5 ("Qt: Give discard button focus (but not as default)")
    Reviewed-on: https://code.wireshark.org/review/26511
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 56425fce7c16abb4138daf2e82ca5158d187fb4c)
    Reviewed-on: https://code.wireshark.org/review/26534
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit a81124d196
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 18 08:17:08 2018 +0000

    [Automatic update for 2018-03-18]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: Iedef2068626954614d1aa5605edf1e24f2c28e8a
    Reviewed-on: https://code.wireshark.org/review/26529
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d7a9501b04
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Mar 17 15:29:15 2018 +0100

    CQL: ensure that there is at least one column to display rows
    
    Bug: 14530
    Change-Id: Ie5729c00ea4d826dbae028b3a4653acf746b92b8
    Reviewed-on: https://code.wireshark.org/review/26521
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit b4498c964f58a241e0706e19391c8c300dfa0395)
    Reviewed-on: https://code.wireshark.org/review/26527

commit c8e2374d1b
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Mar 13 09:28:15 2018 +0100

    nordic_ble: Fix delta time start-to-start calculation
    
    The on-air time for a packet was calculated wrong because it was
    using the wrong number of on-air bytes.  This has been corrected.
    
    Calculating delta time start-to-start for BLE 4.2 requires support
    for on-air packet size up to 255 bytes (LE Data Length Extensions).
    For this the payload length size in the header has changed to two
    bytes.
    
    Calculating delta time start-to-start for BLE 5.0 needs physical
    layer data rate (LE 1M PHY or LE 2M PHY). For this the flags was
    extended with PHY values.
    
    Removed superfluous min and max length checks.
    
    Change-Id: I40bef14f0c19ee77a402efc76e5d01826e63e603
    Reviewed-on: https://code.wireshark.org/review/26457
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit a2cbec743e9c25154281413ea6062ecf81a8a5ea)
    Reviewed-on: https://code.wireshark.org/review/26470
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 31dbf857e7
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 13 11:25:44 2018 +0100

    GSM BSSMAP: fix a typo in in speech version range_string
    
    Bug: 14528
    Change-Id: Ie49317f264f08052a9e8a33dffeb9751add463d4
    Reviewed-on: https://code.wireshark.org/review/26458
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 81068f9a228521a2d460706e3d02581ae4c86df2)
    Reviewed-on: https://code.wireshark.org/review/26459

commit c3f81125f1
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 11 11:44:46 2018 -0700

    Qt: Implement MulticastStatisticsDialog::treeItemData
    
    Implement MulticastStatisticsDialog::treeItemData so that the "Copy"
    button works.
    
    Bug: 14477
    Change-Id: I8e7ff2a41b0f14e600b0781c3a01e03270c26ae7
    Reviewed-on: https://code.wireshark.org/review/26449
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 12b83f8eb0
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Mar 11 19:49:44 2018 +0100

    eth: fix null pointer dereference when called from Lua
    
    At the moment, Lua dissectors always pass a NULL data parameter, so
    dissectors like eth should gracefully handle that.
    
    Bug: 14293
    Change-Id: Ida4d0530a9c417db5960475274315d4acc3704a8
    Fixes: v2.1.0rc0-1575-g8ec153f938 ("Have the "maybe an FCS" version of the Ethernet dissector take a data argument.")
    Reviewed-on: https://code.wireshark.org/review/26431
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit ba179a7ef7e660d788cbaade65982ffc7249b91f)
    Reviewed-on: https://code.wireshark.org/review/26435

commit af8ffd7e2c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 11 08:25:54 2018 +0000

    [Automatic update for 2018-03-11]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I4dab0bec8ebe3b5ef22be95602582d1c71b367c1
    Reviewed-on: https://code.wireshark.org/review/26422
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 96860a5a73
Author: Dario Lombardo <lomato@gmail.com>
Date:   Fri Mar 9 18:47:51 2018 +0100

    kerberos: remove leak (found by clang).
    
    Change-Id: I70242960466b276cf9ffb62fda62dcb40c17c1fe
    Reviewed-on: https://code.wireshark.org/review/26396
    Petri-Dish: Dario Lombardo <lomato@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 66a1fefac416136b96b7a1683293d6a06f5c00e8)
    Reviewed-on: https://code.wireshark.org/review/26408
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3c1c49f539
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 8 18:12:33 2018 -0800

    Plug a leak.
    
    "field" might be allocated even if the calculation type is
    CALC_TYPE_BYTES, CALC_TYPE_FRAMES, or CALC_TYPE_FRAMES_AND_BYTES.
    
    Change-Id: I0c70397a89e32172769c277bebfd950f1d21c679
    Reviewed-on: https://code.wireshark.org/review/26378
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit ea754b6761116133b506b782c079793d37d744a6)
    Reviewed-on: https://code.wireshark.org/review/26379

commit b421f911d0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 8 18:02:21 2018 -0800

    When looking up response codes, just keep the key on the stack.
    
    We don't need to dynamically allocate a guint variable to hold the
    response code value - and then not bother to free it! - if we're just
    doing a lookup; we can use an automatic variable and pass a pointer to
    it.
    
    Change-Id: I6edbb352f0aa33c91ede0f4e1bbb962fa921bea2
    Reviewed-on: https://code.wireshark.org/review/26375
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7ffc4f96ebe2fac503cb251a848441ad8d4bad8c)
    Reviewed-on: https://code.wireshark.org/review/26376

commit af63f57cb8
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Mar 8 15:09:09 2018 +0100

    S1AP: EmergencyAreaIDListForRestart is not an extension IE.
    
    Change-Id: I3dd623e1a2ec3005ee2c810492e4d0fad39ce1d0
    Reviewed-on: https://code.wireshark.org/review/26364
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 5c25e1b2c1e986df36ea95047a891e1d54070694)
     Conflicts:
            epan/dissectors/asn1/s1ap/s1ap.cnf
            epan/dissectors/packet-s1ap.c
    Reviewed-on: https://code.wireshark.org/review/26367
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>

commit 13270b1bc0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Mar 7 17:40:56 2018 +0100

    LWAPP: define a recursion depth limit
    
    Altough the dissection consumes a few ytes each time it is called,
    it can trigger a stack overflow for big packets.
    Let's limmit the number of allowed encapsulation for a given packet.
    
    Bug: 14467
    Change-Id: I73e82e01810b63a4f603907e69b20f3715a4ad55
    Reviewed-on: https://code.wireshark.org/review/26338
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 1592587e6f9fd8c8aa8fc7f67989690d0c6882c4)
    Reviewed-on: https://code.wireshark.org/review/26343

commit 03e55eb845
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Mar 7 08:22:55 2018 +0100

    bluetooth: Update Assigned Numbers
    
    Update URLs for sources.
    
    Change-Id: Ia70bc657210e867abea1eb25c5feab189c53a230
    Reviewed-on: https://code.wireshark.org/review/26324
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 3a54fd1d7d5d0ee1635e7100635ad3cad0ffbcd1)
    Reviewed-on: https://code.wireshark.org/review/26331

commit 0e7ac7d051
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 7 00:49:28 2018 -0800

    Fix another leak, which happens with -E occurrence=l.
    
    For each occurrence, if there was already an occurrence in the array, we
    were just removing it. not freeing what it pointed to.
    
    While we're at it, expand comments. and always check the array size with
    "!= 0", not "> 0" - the value is unsigned, so they're equivalent, but
    this makes the code more self-consistent.
    
    Change-Id: I538f46b296a7721a39ba4366c2f6269e7e097b0d
    Reviewed-on: https://code.wireshark.org/review/26328
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9a5217bdd4680e36f2e92838348bd4ea010d28a0)
    Reviewed-on: https://code.wireshark.org/review/26329

commit 2e58b825cd
Author: Dario Lombardo <lomato@gmail.com>
Date:   Wed Feb 28 19:04:25 2018 +0100

    print: free memory if not used (found by clang).
    
    Change-Id: Ib6dc913ab1eeff7b29e18930b66b728080629773
    Reviewed-on: https://code.wireshark.org/review/26183
    Petri-Dish: Dario Lombardo <lomato@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: ronnie sahlberg <ronniesahlberg@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 6db59affd9c9b20f2ce725cd2ce7a88c71982a07)
    Reviewed-on: https://code.wireshark.org/review/26326
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c69d710d2b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 23:26:10 2018 +0100

    SMB2: use file scope to avoid leaking memory
    
    Bug: 14483
    Change-Id: I1532fa57cd9a847c0408db95744eb7af3a6f4ee5
    Reviewed-on: https://code.wireshark.org/review/26295
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: ronnie sahlberg <ronniesahlberg@gmail.com>
    (cherry picked from commit 4945c50d3f8269c56d9d087d16d080144de146dc)
    Reviewed-on: https://code.wireshark.org/review/26307
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ac8a807c06
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Mar 6 23:17:31 2018 -0800

    Plug another leak for Wiretap errors.
    
    Clean up comments while we're at it.
    
    Change-Id: I7e218ba3f998804045e3d7fab08d85d09a293d69
    Reviewed-on: https://code.wireshark.org/review/26320
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f38e895dfc0d97bce64f73ce99df706911d9aa07)
    Reviewed-on: https://code.wireshark.org/review/26321

commit 211845aba4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 22:56:20 2018 +0100

    failure_message.c: fix a memory leak if err is not negative
    
    Bug: 14489
    Change-Id: I958cfae824c50263913ba9df8128e34e9466cb67
    Reviewed-on: https://code.wireshark.org/review/26294
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: ronnie sahlberg <ronniesahlberg@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit b94d3af3039b8bdfbd4d760fda412fdfa121b732)
    Reviewed-on: https://code.wireshark.org/review/26319

commit cdd0eb0b22
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 22:43:31 2018 +0100

    PCP: allocate conversation info in file scope
    
    Bug: 14488
    Change-Id: I9bb85cfd58ace721ba8b957bc3351f6c017a8b69
    Reviewed-on: https://code.wireshark.org/review/26293
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 035f49d2c85ff9e0bab74e5af4c990ab2beea170)
    Reviewed-on: https://code.wireshark.org/review/26317

commit e877164479
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 22:39:01 2018 +0100

    H223: fix a memory leak in conversation management
    
    Bug: 14487
    Change-Id: I75089ccfa2896b357f775fea67fd6b76500fc5dc
    Reviewed-on: https://code.wireshark.org/review/26292
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 8f81eb2cf671573461ccba3bde6ce5ec99016afa)
    Reviewed-on: https://code.wireshark.org/review/26315

commit 17919a8076
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 22:33:49 2018 +0100

    multipart: use packet scope memory to avoid leaking in case an exception is triggered by subdissectors
    
    Bug: 14486
    Change-Id: I275f8c962f126ad55fc7086012e7b67cc0dc60b3
    Reviewed-on: https://code.wireshark.org/review/26291
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 05c4705a19448646ca316ba3b1eb333a05482956)
    Reviewed-on: https://code.wireshark.org/review/26313

commit fd1b382eef
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 22:03:50 2018 +0100

    GIOP: use wmem packet scope for get_modname_from_repoid()
    
    Bug: 14484
    Change-Id: Ie2a4cc179ba25a1e3e50d689e21f003001a301fa
    Reviewed-on: https://code.wireshark.org/review/26289
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 4581eb2de2e5aacfc9a2224df181010dc8e6141b)
    Reviewed-on: https://code.wireshark.org/review/26311

commit e62b1d33b3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 21:49:41 2018 +0100

    LAPD: fix some memory leaks in conversation management
    
    Bug: 14482
    Change-Id: Ia49705e13f1071a69d61ba1d6bd331e3e7734d81
    Reviewed-on: https://code.wireshark.org/review/26287
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit bf4e620e2d15689e8582425224160f39dcc8589c)
    Reviewed-on: https://code.wireshark.org/review/26309

commit 154fa52bf9
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 21:44:54 2018 +0100

    ISUP: plug some memory leaks
    
    Bug: 14481
    Change-Id: I940dc4c7ac197deb1f925418bbcdebb30285a775
    Reviewed-on: https://code.wireshark.org/review/26286
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 1b18b1dd0e171ec660ad1ce5d47bab80ddc3da86)
    Reviewed-on: https://code.wireshark.org/review/26305

commit 046ff3a15c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 22:15:22 2018 +0100

    oids.c: fix a memory leak in oid_string2subid()
    
    Bug: 14485
    Change-Id: Ia0ccd4480808c4f5da228975c7a076cd3f5d332b
    Reviewed-on: https://code.wireshark.org/review/26290
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: ronnie sahlberg <ronniesahlberg@gmail.com>
    (cherry picked from commit f46d129f21ee0c2b43545c500a8ea4dbc4d59815)
    Reviewed-on: https://code.wireshark.org/review/26303

commit e932ab6490
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Mar 6 21:41:57 2018 +0100

    TN3270: fix memory leaks in conversation management
    
    Bug: 14480
    Change-Id: I9148bef80492426195a1673f8367a39c02c432ce
    Reviewed-on: https://code.wireshark.org/review/26285
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 98ab887a2d4ffbe7b255655c510b676c32e93608)
    Reviewed-on: https://code.wireshark.org/review/26296

commit 7929700033
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Mar 5 21:51:11 2018 +0100

    VLAN: define a recursion depth limit
    
    Altough the dissection consumes 4 bytes each time it is called, it can
    trigger a stack overflow for big packets. Let's limmit the number of
    allowed VLAN tags for a given packet.
    
    Bug: 14469
    Change-Id: Ieb6834ab3350dc7e8c301e6479577855a253897e
    Reviewed-on: https://code.wireshark.org/review/26270
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit b434e0a03be45ed796af7271972672a0b43cffa8)
    Reviewed-on: https://code.wireshark.org/review/26272
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 1c9adc63c2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Mar 5 11:42:38 2018 +0100

    NBAP: avoid linking a DCH-ID to itself
    
    Otherwise it can create an infinite loop, leading to a buffer overflow.
    Also add explicit cheks on the buffer usage and set its maximum size to
    128 instead of 32 per ASN.1 description.
    
    Bug: 14471
    Change-Id: I18d26369cf3d1cf2a32c86a972c78ea9f6f7a503
    Reviewed-on: https://code.wireshark.org/review/26264
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit b87aa0326c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Mar 4 22:05:06 2018 +0100

    IEEE 802.15.4: always allocate protocol data if not present
    
    When using 2 passes, L2TP dissector can set a session info for previous
    packets, breaking the assumption that IEEE 802.15.4 dissector will
    always be called on first pass.
    Let's always allocate the protocol data if missing, even if this is not
    the first pass.
    
    Bug: 14468
    Change-Id: I4cb7ea2e54c1b763a48b99c0d64f542552789d18
    Reviewed-on: https://code.wireshark.org/review/26260
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit dd21b8130c6470d2d5076fcc46d5e9c3866f4609)
    Reviewed-on: https://code.wireshark.org/review/26263

commit d22deae0dc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 4 08:25:18 2018 +0000

    [Automatic update for 2018-03-04]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I0593d3b0b73fe31be1a6db7860f2b1ff26ac8377
    Reviewed-on: https://code.wireshark.org/review/26255
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f920d7ae53
Author: Nicolas Darchis <ndarchis@cisco.com>
Date:   Wed Feb 28 15:26:03 2018 +0100

    Add support for new peekremote features.
    
    Enhanced peekremote dissector to take into account the new extended
    flags written by Cisco APs in sniffer mode after WLC version 8.5.
    
    Support for 80mhz channel flag (bit 9), short preamble (bit 8), amount
    of spatial streams (bit 14-16)
    dot11_ht_vht_flags=0x00000551 <--short preamble encoded to 10th bit of
    dot11_ht_vht_flags.
    dot11_ht_vht_flags=0x00008bc8 <--80MHz info encoded to 9th bit of
    dot11_ht_vht_flags.
    
    The spatial streams information is already encoded to 16:15:14 bits of
    dot11_ht_vht_flags. The following are the bit pattern representation,
    000 - 1 spatial stream
    001 - 2 spatial streams
    010 - 3 spatial streams
    
    Bug: 14452
    Change-Id: If0539e356b32a791901d213a653f7a98521667ee
    Reviewed-on: https://code.wireshark.org/review/26178
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b580bdb9ddd5459bcdac95948ec41eae55be734f)
    Reviewed-on: https://code.wireshark.org/review/26252

commit 37dc541a92
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Mar 3 00:07:26 2018 -0800

    Don't crash in manually_resolve_cleanup() if there's nothing to clean up.
    
    We might not yet have allocated the manually-resolved address lists;
    only free the if we have.
    
    Change-Id: Iff9864e397a04cdcb613268603c073ecd1fa77fb
    Reviewed-on: https://code.wireshark.org/review/26236
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 302fa6881751e5a8f9c8c197ab0008ee336e821a)
    Reviewed-on: https://code.wireshark.org/review/26237

commit 3f7752e5b3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Mar 2 09:58:07 2018 -0800

    Fuzz-test: Handle ABRT.
    
    Trap ABRT and try to pass it on to our runners.
    
    Change-Id: I6e5a9fd63822c9bc84e116b3574abc4ccca448f5
    Reviewed-on: https://code.wireshark.org/review/26228
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2113179835
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Feb 26 23:19:15 2018 +0100

    mp4: limit the recursion depth for boxes
    
    Although the dissection of each box header consumes a couple of bytes,
    it turned out that it's still possible to crash wireshark with a sample
    file that contains a large number of nested boxes. The stack will fill
    up before we reach the end of the data bytes.
    
    Keep track of the recursion depth as we walk through the hierarchy of
    boxes. Abort if we reach the (locally defined) upper limit.
    
    Bug: 13777
    Change-Id: I0f67245a5c74131f10d0f9d99b39ad31711b9775
    Reviewed-on: https://code.wireshark.org/review/26167
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 620f69a74b18908e3424920c7bb01cb5e4cbd8b1)
    Reviewed-on: https://code.wireshark.org/review/26204

commit 5fc74724a1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Feb 28 17:52:34 2018 -0800

    Don't handle various "command to send" values in the default case.
    
    The default case ignores the high-order bit, which is set in all the
    values for "command to send", so they will never be matched.  The values
    moved out of the default case, if their upper bit is clear, either don't
    correspond to any command in T.30 or correspond to an initial
    identification command, which never has the upper bit set, so there's no
    risk of misidentification by processing all of the "command to send"
    values outside the default case.
    
    Thanks and a tip of the Hatlo hat to Visual Studio Code Analysis for
    catching this one.
    
    Change-Id: I6192b0c5a6dcfd31b9fd757be736a311a9d089e6
    Reviewed-on: https://code.wireshark.org/review/26198
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit efd8beff4f9a6b39a7b43b18716bceb4a9f07e1f)
    Reviewed-on: https://code.wireshark.org/review/26199

commit 725af9c0a5
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Tue Feb 27 22:56:29 2018 +0100

    BGP: Heuristic for IPv6 NLRI path identifier
    
    NLRIs can contain path identifiers as defined in RFC7911.
    
    This commit adopts the IPv4 heuristic to IPv6 to detect usage
    of additional path identifier.
    
    Bug: 14241
    Change-Id: I6b99c079b12d1f9a3e05b152a5540a621076e965
    Reviewed-on: https://code.wireshark.org/review/26157
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit eb15a1ed19bb4be5c03aaf39e87cd5c25fe1d907)
    Reviewed-on: https://code.wireshark.org/review/26169
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ac925fdf2d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Feb 28 13:55:02 2018 -0800

    Print the right value for signed statistics tap table items.
    
    Thanks and a tip of the Hatlo hat to Visual Studio Code Analysis for
    finding this one.
    
    Change-Id: If2312ba98d1c3060e525dd8b2afe3e0ff07fb5bd
    Reviewed-on: https://code.wireshark.org/review/26194
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7df07eb9227fc35cf82d7edacf4a3d792c368314)
    Reviewed-on: https://code.wireshark.org/review/26195

commit 7ca4559b5f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Feb 28 12:23:57 2018 -0800

    Fix StringCchPrintf() calls.
    
    The calls were assuming that an LPARAM was 32 bits when that's not the
    case on 64-bit Windows - the underlying value is 32-bit, so we just cast
    to int.
    
    Change-Id: Ie2a38e27f2ea211628d2c751a7807bb9ed396c64
    Reviewed-on: https://code.wireshark.org/review/26190
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 16ac61e2a353fbf940cf8eeee9d5018ea2a12641)
    Reviewed-on: https://code.wireshark.org/review/26191

commit 5f3608e21f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Feb 28 11:45:32 2018 -0800

    Redo the way we choose N/S/E/W.
    
    This should squelch a warning from Visual Studio Code Analyzer.
    
    Change-Id: Ie66e45276458a6f880c9b020ff541b7d2a71433a
    Reviewed-on: https://code.wireshark.org/review/26184
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 03474c1303faeed68631e4074ba692bdc193323d)
    Reviewed-on: https://code.wireshark.org/review/26185

commit 9a84ec49ca
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Feb 28 01:27:27 2018 -0800

    Include <config.h> so UNICODE is defined.
    
    All other files should do so; this file should, so that we're using the
    Unicode versions of Windows APIs (especially given that other files that
    include wsutil/unicode-utils.h will be doing so and expecting UTF-16
    strings from utf_8to16_snprintf()).
    
    Change-Id: I7eccf580ab0dc504aa78b345e36e2fcda818a7c5
    Reviewed-on: https://code.wireshark.org/review/26170
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9f2dff98f6526412e8065a8c9ade811dcb1974fe)
    Reviewed-on: https://code.wireshark.org/review/26180

commit 23c0a41442
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Feb 25 21:16:52 2018 +0100

    adb: fix buffer overflow while processing message payload
    
    Fix a heap buffer overflow (write) when the message header length is
    smaller than the actual message payload length. Add expert info to
    detect this since it can also occur when the header is wrongly matched
    with a data fragment (this dissector issue is not fixed here).
    
    Bug: 14460
    Change-Id: I12f411a5189809a0931dfcdb2797997d5e19efc1
    Reviewed-on: https://code.wireshark.org/review/26104
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 1653ea5fcedf369452c0cf41e09e57666525615c)
    Reviewed-on: https://code.wireshark.org/review/26172
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 4ed90d4da4
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Feb 27 21:47:07 2018 +0100

    6lowpan: Use correct offset for "UDP header compression" header
    
    Change-Id: I900dce329a593e55b894faf3e41071893ed91c46
    Reviewed-on: https://code.wireshark.org/review/26147
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 8f4ea952b4a962453f279c7259baad9ce98feee7)
    Reviewed-on: https://code.wireshark.org/review/26148

commit 268e565875
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 25 08:28:44 2018 +0000

    [Automatic update for 2018-02-25]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I87322a40d9e3ae8be0bca65fd12f783f83137500
    Reviewed-on: https://code.wireshark.org/review/26092
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e306fbde3f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Feb 23 18:33:05 2018 -0800

    Fix capitalization and white space.
    
    Change-Id: I3b93716421169b2c9ce51da6116223e62fa6a241
    Reviewed-on: https://code.wireshark.org/review/26077
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6c7a5b488902e4420f864afe6f14009e942b3673)
    Reviewed-on: https://code.wireshark.org/review/26078

commit b898117e78
Author: Richard Sharpe <realrichardsharpe@gmail.com>
Date:   Fri Feb 23 03:49:36 2018 -0800

    radiotap: Fix bug 14455.
    
    Use an int instead of a uint so that sign extension does not occur and
    fix the field labels and make them all use the correct units.
    
    They conform closer to the spec now.
    
    Bug 14455
    
    Change-Id: Ic57207d10565690a6e2ed66693dcdf294d421b22
    Reviewed-on: https://code.wireshark.org/review/26046
    Reviewed-by: Richard Sharpe <realrichardsharpe@gmail.com>
    (cherry picked from commit 6a2ec55d6e7f69161b003a0f2f19be01cafd35ca)
    Reviewed-on: https://code.wireshark.org/review/26075
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 87ba4138a7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Feb 23 14:16:46 2018 -0800

    Get rid of the ipmap.html that got dropped into Contents/MacOS.
    
    Change-Id: Ieb94ca78a92fc5369fe3b396373c2f7a31d8894a
    Reviewed-on: https://code.wireshark.org/review/26072
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c3c053ba1c9e7c7a6f4b446e742ad5ca3e04e097)
    Reviewed-on: https://code.wireshark.org/review/26073

commit 808c2d2581
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Feb 23 14:05:11 2018 -0800

    Clean up description of power and attenuation fields.
    
    Change-Id: I36433f37e4e33260b41a2b35ca49e844fe76baf3
    Reviewed-on: https://code.wireshark.org/review/26068
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 656439db2612878b52422d209443c17ebbb70c47)
    Reviewed-on: https://code.wireshark.org/review/26069

commit 37c805c198
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Feb 23 11:00:37 2018 -0800

    I don't think ipmap.html belongs in the same directory as the binaries.
    
    Change-Id: I1a15ec77786f6a141e78c62885343f8cc51c73bf
    Reviewed-on: https://code.wireshark.org/review/26059
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e3db7c581cd9facc01015d81e5c63a24032556a7)
    Reviewed-on: https://code.wireshark.org/review/26066
